Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.idsupport.impl
Class IdSupportServiceImpl

    java.lang.Object
      be.ehealth.technicalconnector.session.AbstractSessionServiceWithCache
          be.ehealth.technicalconnector.service.idsupport.impl.IdSupportServiceImpl

All Implemented Interfaces:
  IdSupportService, SessionServiceWithCache

    public class IdSupportServiceImpl

extends AbstractSessionServiceWithCache
implements IdSupportService

Implementation of `IdSupportService` Extends `AbstractSessionServiceWithCache`

Constructor Summary
`IdSupportServiceImpl(EhealthReplyValidator validator)`

Method Summary
`VerifyIdResponse` | `verifyId(String legalContext, Id barcode)` See `IdSupportService.verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.
`VerifyIdResponse` | `verifyId(String legalContext, Id ssin, Id cardNumber)` See `IdSupportService.verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.
`VerifyIdResponse` | `verifyId(VerifyIdRequest request)` Verify a combination between elements of the request.

Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceWithCache
`flushCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdSupportServiceImpl

    public IdSupportServiceImpl(EhealthReplyValidator validator)

Method Detail

### verifyId

    public VerifyIdResponse verifyId(VerifyIdRequest request)
                              throws TechnicalConnectorException

  Description copied from interface: `IdSupportService`
  Verify a combination between elements of the request.

  Specified by:
    `verifyId` in interface `IdSupportService`
  Parameters:
    `request` - - the request to use
  Returns:
    the validation result (true, false), and when it's invalid the cause of the validation failure if there's one
  Throws:
    `TechnicalConnectorException`

### verifyId

    public VerifyIdResponse verifyId(String legalContext,
                                     Id ssin,
                                     Id cardNumber)
                              throws TechnicalConnectorException

  Description copied from interface: `IdSupportService`
  See `IdSupportService.verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.

  Specified by:
    `verifyId` in interface `IdSupportService`
  Parameters:
    `legalContext` - - the legal context
    `ssin` - - the ssin
    `cardNumber` - - the cardnumber (eg.:isi, eid, sis)
  Throws:
    `TechnicalConnectorException`

### verifyId

    public VerifyIdResponse verifyId(String legalContext,
                                     Id barcode)
                              throws TechnicalConnectorException

  Description copied from interface: `IdSupportService`
  See `IdSupportService.verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.

  Specified by:
    `verifyId` in interface `IdSupportService`
  Parameters:
    `legalContext` - - the legal context
    `barcode` - - the barcode
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.